Subject: bug#9927: 24.1.50; unexec/unexmacosx doesn't grok GCC 4.6+ sections

From: Peter Dyballa <[email-masked]>
Date: Thu, 18 Sep 2014 00:20:59 +0200

Am 17.09.2014 um 20:39 schrieb Paul Eggert:

> does it work for you?

On Mac OS X 10.6.8, Snow Leopard, with intel Core2 hardware your patch works with GCC 4.6.4, 4.7.3 and 4.8.2. Although this is 64-bit hardware I built GNU Emacs as a 32-bit application with wide ints. If you want I can check with 64-bit builds, for which I first would need to build and install the compilers (the 32-bit software comes the Fink Project which starter 32 bit, the 64-bit software comes from the MacPorts project). I could also check with other versions of GNU Emacs, even with GNU Emacs 24.1.50 – its sources are certainly saved in some (Time Machine) backup…

I started a build on PPC hardware (PowerPC 7447A) on Mac OS X 10.4.11 (Tiger). I'll be able to report after sleep…

--
Greetings

  Pete

"I myself have never been able to find out precisely what feminism is; I only know that people call me a feminist whenever I express sentiments that differentiate me from a doormat or a prostitute."
				– Dame Rebecca West